## ros-one-gazebo-ros 2.9.3-0jammy.20251023.0835

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(gazebo_ros)

find_package(catkin REQUIRED COMPONENTS
  gazebo_dev
  cmake_modules
  roslib
  roscpp
  geometry_msgs
  std_srvs
  tf
  rosgraph_msgs
  dynamic_reconfigure
  std_msgs
  gazebo_msgs
)

# Through transitive dependencies in the packages above, gazebo_ros depends
# on Simbody.  There is a bug in the Ubuntu Artful (17.10) version of the
# Simbody package where it includes /usr/lib/libblas.so and
# /usr/lib/liblapack.so in the CMake list of libraries even though neither of
# those two paths exist (they both really live in /usr/lib/<arch>-linux-gnu).
# We remove these two during build-time on artful below; this works because
# they both will get resolved to the proper paths during runtime linking.
find_program(LSB_RELEASE_EXEC lsb_release)
if(NOT LSB_RELEASE_EXEC STREQUAL "LSB_RELEASE_EXEC-NOTFOUND")
  execute_process(COMMAND ${LSB_RELEASE_EXEC} -cs
    OUTPUT_VARIABLE OS_CODENAME
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  if(OS_CODENAME STREQUAL "artful")
    list(FILTER catkin_LIBRARIES EXCLUDE REGEX "/usr/lib/libblas.so")
    list(FILTER catkin_LIBRARIES EXCLUDE REGEX "/usr/lib/liblapack.so")
  endif()
endif()

include (FindPkgConfig)
if (PKG_CONFIG_FOUND)
  pkg_check_modules(XML libxml-2.0)
else()
  message(FATAL_ERROR "pkg-config is required; please install it")
endif()

find_package(Boost REQUIRED COMPONENTS thread)

find_package(TinyXML REQUIRED)

catkin_python_setup()

generate_dynamic_reconfigure_options(cfg/Physics.cfg)

catkin_package(
  LIBRARIES
    gazebo_ros_api_plugin
    gazebo_ros_paths_plugin

  CATKIN_DEPENDS
    roslib
    roscpp
    geometry_msgs
    std_srvs
    tf
    rosgraph_msgs
    dynamic_reconfigure
    std_msgs
    gazebo_msgs

  DEPENDS
    TinyXML
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${TinyXML_INCLUDE_DIRS})

link_directories(${catkin_LIBRARY_DIRS})

set(cxx_flags)
foreach (item ${GAZEBO_CFLAGS})
  set(cxx_flags "${cxx_flags} ${item}")
endforeach ()

set(ld_flags)
foreach (item ${GAZEBO_LDFLAGS})
  set(ld_flags "${ld_flags} ${item}")
endforeach ()

## Plugins
add_library(gazebo_ros_api_plugin src/gazebo_ros_api_plugin.cpp)
add_dependencies(gazebo_ros_api_plugin ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
set_target_properties(gazebo_ros_api_plugin PROPERTIES LINK_FLAGS "${ld_flags}")
set_target_properties(gazebo_ros_api_plugin PROPERTIES COMPILE_FLAGS "${cxx_flags}")
target_link_libraries(gazebo_ros_api_plugin ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${TinyXML_LIBRARIES})

add_library(gazebo_ros_paths_plugin src/gazebo_ros_paths_plugin.cpp)
add_dependencies(gazebo_ros_paths_plugin ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
set_target_properties(gazebo_ros_paths_plugin PROPERTIES COMPILE_FLAGS "${cxx_flags}")
set_target_properties(gazebo_ros_paths_plugin PROPERTIES LINK_FLAGS "${ld_flags}")
target_link_libraries(gazebo_ros_paths_plugin ${catkin_LIBRARIES} ${Boost_LIBRARIES})

## Tests

add_subdirectory(test)

# Install Gazebo System Plugins
install(TARGETS gazebo_ros_api_plugin gazebo_ros_paths_plugin
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
  )

# Install Gazebo Scripts
if (WIN32)
  install(PROGRAMS
                  scripts/debug.bat
                  scripts/gzclient.bat
                  scripts/gzserver.bat
          DESTINATION
                  ${CATKIN_PACKAGE_BIN_DESTINATION}
  )
else ()
  install(PROGRAMS
                  scripts/gazebo
                  scripts/debug
                  scripts/gzclient
                  scripts/gzserver
                  scripts/gdbrun
                  scripts/perf
                  scripts/libcommon.sh
          DESTINATION
                  ${CATKIN_PACKAGE_BIN_DESTINATION}
  )
endif()

# This one is a Python program, not a shell script, so install it separately
catkin_install_python(PROGRAMS scripts/spawn_model
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install Gazebo launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-one-gazebo-ros (2.9.3-0jammy.20251023.0835) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Thu, 23 Oct 2025 08:35:50 +0000

ros-one-gazebo-ros (2.9.3-0jammy) jammy; urgency=high

  * Noetic: Add <deprecated> tag to package.xml files (#1566 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1566>)
    These packages are now deprecated with Gazebo classic 11 reaching
    end-of-life. This adds the <deprecated> tag (https://www.ros.org/reps/rep-0149.html#deprecated)
    enabling tools to notify users about the deprecation.
  * [ROS-O] compatible patches for newer systems (#1543 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1543>)
    Co-authored-by: Jochen Sprickerhof <mailto:git@jochen.sprickerhof.de>
  * Add ahcorde as maintainer (noetic-devel) (#1437 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1437>)
  * Contributors: Addisu Z. Taddese, Jose Luis Rivero, Michael Görner

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 26 Feb 2025 00:00:00 -0000

ros-one-gazebo-ros (2.9.2-0jammy) jammy; urgency=high

  * Only subscribe to /gazebo/performance_metrics when necessary (#1202 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1202>)
    We are currently subscribing to the /gazebo/performance_metrics topic
    even if there are no subscribers to the ROS topic forwarding this data.
    The link_states and model_states topics currently use an advertise
    mechanism with callbacks when a subscriber connects or disconnects,
    so I've used that same pattern for the performance_metrics topic.
    This also helps workaround the deadlock documented in #1175 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1175> and
    osrf/gazebo#2902 <https://github.com/osrf/gazebo/issues/2902>.
    This also adds a GAZEBO_ROS_HAS_PERFORMANCE_METRICS
    macro that reduces duplication of the version checking logic for
    performance metrics in gazebo and adds fixes some doc-string and
    typos in existing code
  * [Noetic] Bridge to republish PerformanceMetrics in ROS (#1145 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1145>)
    Co-authored-by: Ian Chen <mailto:ichen@osrfoundation.org>
  * delete request msgs (#1160 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1160>)
  * gazebo_ros_api_plugin cleanup (#1137 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1137>)
    Remove an unused overload of publishSimTime and add doxygen
    for the remaining publishSimTime function.
    * Remove duplicate code for /clock advertisement
    The /clock topic is advertised in both loadGazeboRosApiPlugin
    and advertiseServices. This removes the code from advertiseServices
    and moves it earlier in loadGazeboRosApiPlugin.
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * colcon.pkg: build gazebo first in colcon workspace (#1135 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1135>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
  * Contributors: Alejandro Hernández Cordero, Ian Chen, Steve Peters

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 21 Apr 2021 00:00:00 -0000

ros-one-gazebo-ros (2.9.1-0jammy) jammy; urgency=high



 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 20 May 2020 00:00:00 -0000

ros-one-gazebo-ros (2.9.0-0jammy) jammy; urgency=high

  * [Noetic] changes to make it work with Python3 (#1069 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1069>)
    * Noetic - changes to make it work with Python3
  * add node required to noetic (#1082 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1082>)
  * add additional light options to 'set_light_properties' service (#874 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/874>)
    The optional 'Light' properties 'cast_shadows', 'specular', 'direction',
    and 'pose' are not optional any more. These properties are now set via the
    corresponding fields in the ROS message. By default, this will be 0.
    https://github.com/ros-simulation/gazebo_ros_pkgs/pull/874
  * spawn_model: Fix urlparse imports for Python 3
  * spawn_model: Ensure that "model_xml" is a string, required for Python 3
  * catkin_find gazebo plugin from bin folder. (#993 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/993>)
  * [Windows][melodic-devel] more Windows build break fix (#975 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/975>)
    * Fix CMake install error for Windows build.
    * conditionally include <sys/time.h>
  * provide Windows implemenation for setenv. (#879 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/879>)
  * implement basic gazebo scripts to support launch file on Windows build. (#880 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/880>)
  * Contributors: Alejandro Hernández Cordero, Christian Rauch, Kartik Mohta, Mabel Zhang, Sean Yen

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Tue, 19 May 2020 00:00:00 -0000

ros-one-gazebo-ros (2.8.5-0jammy) jammy; urgency=high

  * Add output arg to launch files, plus some small fixes (melodic) (#907 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/907>)
    * Add output arg to empty_world
    * add output arg to elevator_world
    * add output arg to range_world
    * don't set use_sim_time in range_world
    Instead parse it to empty world, where it will be set.
    * add xml prolog to all launch files
    * Remove unnecessary arg in range_world.launch
  * use C++11 std sleep instead of usleep. (#877 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/877>)


## ros-one-gazebo-ros 2.9.3-0jammy.20251207.2130

=== debian/changelog ===
ros-one-gazebo-ros (2.9.3-0jammy.20251207.2130) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Sun, 07 Dec 2025 21:30:07 +0000

## ros-one-gazebo-ros 2.9.3-0jammy.20260221.0125

=== debian/changelog ===
ros-one-gazebo-ros (2.9.3-0jammy.20260221.0125) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Sat, 21 Feb 2026 01:25:38 +0000

## ros-one-gazebo-ros 2.9.3-0noble.20251023.0841

=== test/CMakeLists.txt ===
set (rostests_python
  ros_network/ros_network_default.test
  ros_network/ros_network_disabled.test
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
    foreach (rostest ${rostests_python})
      # We don't set a timeout here because we trust rostest to enforce the
      # timeout specified in each .test file.
      add_rostest(${rostest} rostest ${CMAKE_CURRENT_SOURCE_DIR}/${rostest})
      # Check for test result file and create one if needed.  rostest can fail to
      # generate a file if it throws an exception.
      add_test(check_${rostest} rosrun rosunit check_test_ran.py 
               --rostest ${ROS_PACKAGE_NAME} ${CMAKE_CURRENT_SOURCE_DIR}/${rostest})
  endforeach()
endif()

install(PROGRAMS
  ros_network/ros_api_checker
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test
)

=== debian/changelog ===
ros-one-gazebo-ros (2.9.3-0noble.20251023.0841) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Thu, 23 Oct 2025 08:41:14 +0000

ros-one-gazebo-ros (2.9.3-0noble) noble; urgency=high

  * Noetic: Add <deprecated> tag to package.xml files (#1566 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1566>)
    These packages are now deprecated with Gazebo classic 11 reaching
    end-of-life. This adds the <deprecated> tag (https://www.ros.org/reps/rep-0149.html#deprecated)
    enabling tools to notify users about the deprecation.
  * [ROS-O] compatible patches for newer systems (#1543 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1543>)
    Co-authored-by: Jochen Sprickerhof <mailto:git@jochen.sprickerhof.de>
  * Add ahcorde as maintainer (noetic-devel) (#1437 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1437>)
  * Contributors: Addisu Z. Taddese, Jose Luis Rivero, Michael Görner

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 26 Feb 2025 00:00:00 -0000

ros-one-gazebo-ros (2.9.2-0noble) noble; urgency=high

  * Only subscribe to /gazebo/performance_metrics when necessary (#1202 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1202>)
    We are currently subscribing to the /gazebo/performance_metrics topic
    even if there are no subscribers to the ROS topic forwarding this data.
    The link_states and model_states topics currently use an advertise
    mechanism with callbacks when a subscriber connects or disconnects,
    so I've used that same pattern for the performance_metrics topic.
    This also helps workaround the deadlock documented in #1175 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1175> and
    osrf/gazebo#2902 <https://github.com/osrf/gazebo/issues/2902>.
    This also adds a GAZEBO_ROS_HAS_PERFORMANCE_METRICS
    macro that reduces duplication of the version checking logic for
    performance metrics in gazebo and adds fixes some doc-string and
    typos in existing code
  * [Noetic] Bridge to republish PerformanceMetrics in ROS (#1145 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1145>)
    Co-authored-by: Ian Chen <mailto:ichen@osrfoundation.org>
  * delete request msgs (#1160 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1160>)
  * gazebo_ros_api_plugin cleanup (#1137 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1137>)
    Remove an unused overload of publishSimTime and add doxygen
    for the remaining publishSimTime function.
    * Remove duplicate code for /clock advertisement
    The /clock topic is advertised in both loadGazeboRosApiPlugin
    and advertiseServices. This removes the code from advertiseServices
    and moves it earlier in loadGazeboRosApiPlugin.
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * colcon.pkg: build gazebo first in colcon workspace (#1135 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1135>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
  * Contributors: Alejandro Hernández Cordero, Ian Chen, Steve Peters

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 21 Apr 2021 00:00:00 -0000

ros-one-gazebo-ros (2.9.1-0noble) noble; urgency=high



 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 20 May 2020 00:00:00 -0000

ros-one-gazebo-ros (2.9.0-0noble) noble; urgency=high

  * [Noetic] changes to make it work with Python3 (#1069 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1069>)
    * Noetic - changes to make it work with Python3
  * add node required to noetic (#1082 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1082>)
  * add additional light options to 'set_light_properties' service (#874 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/874>)
    The optional 'Light' properties 'cast_shadows', 'specular', 'direction',
    and 'pose' are not optional any more. These properties are now set via the
    corresponding fields in the ROS message. By default, this will be 0.
    https://github.com/ros-simulation/gazebo_ros_pkgs/pull/874
  * spawn_model: Fix urlparse imports for Python 3
  * spawn_model: Ensure that "model_xml" is a string, required for Python 3
  * catkin_find gazebo plugin from bin folder. (#993 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/993>)
  * [Windows][melodic-devel] more Windows build break fix (#975 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/975>)
    * Fix CMake install error for Windows build.
    * conditionally include <sys/time.h>
  * provide Windows implemenation for setenv. (#879 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/879>)
  * implement basic gazebo scripts to support launch file on Windows build. (#880 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/880>)
  * Contributors: Alejandro Hernández Cordero, Christian Rauch, Kartik Mohta, Mabel Zhang, Sean Yen

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Tue, 19 May 2020 00:00:00 -0000

ros-one-gazebo-ros (2.8.5-0noble) noble; urgency=high

  * Add output arg to launch files, plus some small fixes (melodic) (#907 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/907>)
    * Add output arg to empty_world
    * add output arg to elevator_world
    * add output arg to range_world
    * don't set use_sim_time in range_world
    Instead parse it to empty world, where it will be set.
    * add xml prolog to all launch files
    * Remove unnecessary arg in range_world.launch
  * use C++11 std sleep instead of usleep. (#877 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/877>)


=== debian/control ===
Source: ros-one-gazebo-ros
Section: misc
Priority: optional
Maintainer: Alejandro Hernández Cordero <ahcorde@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-one-catkin, ros-one-cmake-modules, ros-one-dynamic-reconfigure, ros-one-gazebo-dev, ros-one-gazebo-msgs, ros-one-geometry-msgs, ros-one-roscpp, ros-one-rosgraph-msgs, ros-one-roslib, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-one-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-one-dynamic-reconfigure, ros-one-gazebo-dev, ros-one-gazebo-msgs, ros-one-geometry-msgs, ros-one-roscpp, ros-one-rosgraph-msgs, ros-one-roslib, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Description: Provides ROS plugins that offer message and service publishers for interfacing with Gazebo through ROS.
 Formally simulator_gazebo/gazebo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-gazebo-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-gazebo-ros 2.9.3-0noble.20251208.0831

=== debian/changelog ===
ros-one-gazebo-ros (2.9.3-0noble.20251208.0831) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Mon, 08 Dec 2025 08:31:18 +0000

## ros-one-gazebo-ros 2.9.3-0noble.20260221.0203

=== debian/changelog ===
ros-one-gazebo-ros (2.9.3-0noble.20260221.0203) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Sat, 21 Feb 2026 02:03:19 +0000
